package com.quant.entity;

/**
 * Province entity. @author MyEclipse Persistence Tools
 */

public class Sms implements java.io.Serializable {

	// Fields

	/**
	 * 
	 */
	private static final long serialVersionUID = 2140644974575333967L;
	private Integer id;
	private Integer uid;
	private String mobile;
	private String code;
	private String content;
	private Integer status;
	private Integer smsType;
	private java.util.Date postTime;

	// Constructors

	/** default constructor */
	public Sms() {
	}

	/** full constructor */
	public Sms(Integer id,Integer uid,String mobile,String code,String content,Integer status,Integer smsType,java.util.Date postTime) {
		this.id = id;
		this.uid = uid;
		this.mobile = mobile;
		this.code = code;
		this.content = content;
		this.status = status;
		this.smsType = smsType;
		this.postTime = postTime;
	}

	// Property accessory

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
	
	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}
	
	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	
	public Integer getSmsType() {
		return this.smsType;
	}

	public void setSmsType(Integer smsType) {
		this.smsType = smsType;
	}
	
	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}
	
	public java.util.Date getPostTime() {
		return this.postTime;
	}

	public void setPostTime(java.util.Date postTime) {
		this.postTime = postTime;
	}

}